Get user profile
Retrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user.
The userId parameter specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the specified account.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The ID of the user to access.
Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.
Response
When true, the user’s company and title information display on the ID card.
When true, the user’s address and phone number display on the ID card.
When true, the user’s ID card can be viewed from signed documents and envelope history.
When true, the user’s usage information displays on the ID card.
A complex element consisting of:
- lastSentDateTime - the date and time the user last sent an envelope.
- lastSignedDateTime - the date and time the user last signed an envelope.
- sentCount - the number of envelopes the user has sent.
- signedCount - the number of envelopes the user has signed.